Subject: [Netrqmts] Comments on draft-odonoghue-netrqmts-01

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 30 Jul 2019 17:27:23 +0000

I sent separately to Karen last week and realize I did not cc the mailing list. Thus, I wanted to pass along some feedback regarding draft-odonoghue-netrqmts-01 for a future revision.
    
    Regards
    Jason
    
    Section 1
    - Strike “Version -00 represents the requirements as articulated the last time
       these requirements was documented by the IETF NOC Team
       (https://www.ietf.org/how/meetings/admin/meeting-network-
       requirements/).  The current draft plan is to update to a -01 that
       represents the requirements the IETF NOC Team currently builds to.
       Versions beyond that will represent input received from the
       community."
    - Add "These requirements are limited to the meeting venue, not any of the hotels at which IETF participants may stay during an IETF meeting. Any requirements pertaining to hotel guest rooms may be documented separately."
    
    Section 2
    - s/External Connectivity/Requirements for Connectivity to the Internet
    - Organized the bullets into groupings, such as Must-Have Requirements & Optional Requirements
    - Break up the bullets where the MUST ones go into the 1st grouping and the SHOULD/MAY ones go into the 2nd. This means some of them like the 1st bullet will have the 1st sentence in the MUST group and the 2nd sentence moved to the OPTIONAL group. (same MUST/OPTIONAL for all subsequent sections)
    - Move "Recent events have peaked at..." to be the lead text for this section (not a bullet). Remove the average, as it does not matter - only peak matters. And I would recommend not having the peak but 95% percentile or something like that -- use the measures that network operators use in interconnection agreements. And add something along the lines of "We expect peak bandwidth requirements to continue to grow at a roughly 40-60% CAGR." 
    - Seeing the thing on IPv6, I wonder if we need a section on IP addressing (maybe not) or at least a statement that we will bring our own IP address block and expect it to be announced & routed by the upstream provider(s). It sort of hints at that with BGP mentioned, but perhaps could be more explicit. 
    
    Section 3
    - Not sure the physical characteristics bit in the 1st bullet is realistic & achievable, and may need to be removed.
    - Spell out UPS power on 1st use with the acronym in parenthesis afterwards
    - The power requirement is definitely useful, as it would be if we needed datacenter power & space - same deal for meeting rooms and people w/devices. It seems good to provide, based on X participants, the total peak power demand. Past meeting venues such as in Montreal may have suggestions. The challenge is determining how many people are plugged in at any one peak time since batteries last so long these days. 
    
    Section 7
    - Are these services to be provided by the meeting venue? I don't think so - it is provided by our NOC, right? In which case maybe the title should be "Services to be Provided by the NOC".
    
    Section 10
    - Consider an optional SSID for someone to go behind a security device / firewall / malware protection border device?
    - Something to say that attendees MUST be able to use their personal VPNs / they should not be blocked or intercepted?
    - Do we need a privacy section saying we may collect netflow data but not collect PII other than in the short-term for troubleshooting (e.g. PCAPs)?
    
    <eom>